Bug 27327 - Indirect object notation in Koha::Club::Hold
Summary: Indirect object notation in Koha::Club::Hold
Status: Pushed to oldoldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 26303 27333
  Show dependency treegraph
 
Reported: 2021-01-04 13:29 UTC by Tomás Cohen Arazi
Modified: 2021-02-11 21:53 UTC (History)
9 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.03,20.05.09,19.11.15


Attachments
Bug 27327: Get rid of indirect object notation in Koha::Club::Hold (1.54 KB, patch)
2021-01-04 13:37 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 27327: Get rid of indirect object notation in Koha::Club::Hold (1.60 KB, patch)
2021-01-26 16:29 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2021-01-04 13:29:01 UTC

    
Comment 1 Tomás Cohen Arazi 2021-01-04 13:37:15 UTC
Created attachment 114787 [details] [review]
Bug 27327: Get rid of indirect object notation in Koha::Club::Hold

This patch makes the code follow the PERL29 coding guideline. Period.

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 2 Tomás Cohen Arazi 2021-01-26 16:23:09 UTC
Applies cleanly here:

$ git checkout origin/master -b qa_27327
Branch 'qa_27327' set up to track remote branch 'master' from 'origin'.
Switched to a new branch 'qa_27327'
(base) ✔ ~/git/koha [qa_27327|…1⚑ 28]
13:22 $ git bz apply 27327
Bug 27327 - Indirect object notation in Koha::Club::Hold

114787 - Bug 27327: Get rid of indirect object notation in Koha::Club::Hold

Apply? [(y)es, (n)o, (i)nteractive] y
Applying: Bug 27327: Get rid of indirect object notation in Koha::Club::Hold
(base) ✔ ~/git/koha [qa_27327 ↑·1|…1⚑ 28]
Comment 3 Martin Renvoize 2021-01-26 16:29:34 UTC
Created attachment 115826 [details] [review]
Bug 27327: Get rid of indirect object notation in Koha::Club::Hold

This patch makes the code follow the PERL29 coding guideline. Period.

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2021-01-26 16:30:14 UTC
Going for a straight QA on this one.. trivial patch, improves code quality, tests still pass, no regressions found.

Passing QA
Comment 5 Jonathan Druart 2021-01-27 13:37:34 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 6 Fridolin Somers 2021-01-29 14:25:49 UTC
Pushed to 20.11.x for 20.11.03

For perl 7 wahooo. "To infinity and beyond ..."
Comment 7 Andrew Fuerste-Henry 2021-02-04 21:21:29 UTC
Pushed to 20.05.x for 20.05.09
Comment 8 Victor Grousset/tuxayo 2021-02-08 23:16:02 UTC
Backported: Pushed to 19.11.x branch for 19.11.15